lists

# Procedural File: tree.php

Source Location: /templates/tree/tree.php

## Page Details:

This script displays the LDAP tree for all the servers that you have

in config.php. We read the session variable 'tree' to know which dns are expanded or collapsed. No query string parameters are expected, however, you can use a '#' offset to scroll to a given dn. The syntax is tree.php#<rawurlencoded dn>, so if I wanted to scroll to dc=example,dc=com for server 3, the URL would be: tree.php#3_dc%3Dexample%2Cdc%3Dcom

#### Tags:

author: | David Smith
author: | Roland Gruber

#### Includes:

include_once('../../lib/security.inc') [line 47]
security functions
include_once('../../lib/tree.inc') [line 49]
tree functions
include_once('../../lib/ldap.inc') [line 53]
LDAP functions
include_once('../../lib/config.inc') [line 51]
access to configuration

### draw_create_link [line 175]

`void draw_create_link( $rdn, $level, $encoded_dn)`

#### Parameters

| $rdn |
| $level |
| $encoded_dn |

[ Top ]

### draw_tree_html [line 102]

`void draw_tree_html( $dn, [ $level = 0])`

Recursively descend on the given dn and draw the tree in html

#### Parameters

| $dn |
| $level |

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:53:09 +0200 by phpDocumentor 1.4.1